%define		name squirrelmail
%define		pversion 1.4.5
%define 	bversion 1.2
%define		rpmrelease 13

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpmbuild --rebuild --with rht90 package.src.rpm
# $ rpmbuild -ba --with rht90 package.spec
#
# Redhat 9 Linux is the "default" installation
#
# Default values:
# Please,  if  you have got an old RPM version, maybe
# you are  not able  to rebuild packages with Command
# Line Overrides.
#
# mdk = Linux Mandrake Linux
# rht = RedHat Linux
# fdr = Fedora Core Linux
# cnt = CentOS Linux
# trx = Trustix Linux
#

%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0

#####################################################
#                                                   #
#      Do not touch anything below this line        #
#                                                   #
#####################################################

# Default Value (compile for RedHat 9)
%define		default		1

# Command Line Overrides
%{?_with_sus100:   	%{expand: %%define build_sus_100  1}}
%{?_with_sus10064:   	%{expand: %%define build_sus_10064  1}}
%{?_with_mdk100:   	%{expand: %%define build_mdk_100  1}}
%{?_with_mdk101:   	%{expand: %%define build_mdk_101  1}}
%{?_with_mdk102:   	%{expand: %%define build_mdk_102  1}}
%{?_with_mdk103:   	%{expand: %%define build_mdk_103  1}}
%{?_with_mdk10364:   	%{expand: %%define build_mdk_10364  1}}
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_fdr10:   	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20:   	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30:   	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40:   	%{expand: %%define build_fdr_40   1}}
%{?_with_fdr4064:   	%{expand: %%define build_fdr_4064   1}}
%{?_with_cnt40:   	%{expand: %%define build_cnt_40   1}}
%{?_with_cnt4064:   	%{expand: %%define build_cnt_4064   1}}
%{?_with_trx20: 	%{expand: %%define build_trx_20   1}}

# Distro Statements
%if %{build_sus_100}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype SuSE 10.0 Linux
%define		phppaths /usr/share/php:/usr/share/php/pear:.
%define		apachedir /etc/apache2/
%define		httpdconf httpd.conf
%define		apacheuser wwwrun
%define		apachegroup www
Prereq: 	/usr/bin/perl
Requires:	apache2 >= 2.0.54, php4 >= 4.4.0
%define		build_sus_100  1
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_sus_10064}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype SuSE 10.0 x86_64 Linux
%define		phppaths /usr/share/php:/usr/share/php/pear:.
%define		apachedir /etc/apache2/
%define		httpdconf httpd.conf
%define		apacheuser wwwrun
%define		apachegroup www
Prereq: 	/usr/bin/perl
Requires:	apache2 >= 2.0.54, php4 >= 4.4.0
%define		build_sus_100  0
%define		build_sus_10064  1
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_103}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandriva 2006.0 Linux
%define		phppaths /usr/lib/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	apache >= 2.0.54, apache-mod_php >= 2.0.54, php-pear >= 5.0.4, php-mysql
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  1
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_10364}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandriva 2006.0 x86_64 Linux
%define		phppaths /usr/lib/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	apache >= 2.0.54, apache-mod_php >= 2.0.54, php-pear >= 5.0.4, php-mysql
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  1
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_102}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandriva 2005 Linux
%define		phppaths /usr/lib/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd2.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	apache2 >= 2.0.50, php430, apache2-mod_php >= 2.0.50_4.3.8, php-pear >= 4.3.0, php-mysql
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  1
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_101}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandrake 10.1 Linux
%define		phppaths /usr/lib/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd2.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	apache2 >= 2.0.50, php430, apache2-mod_php >= 2.0.50_4.3.8, php-pear >= 4.3.0, php-mysql
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  1
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_mdk_100}
%define		release %{bversion}.%{rpmrelease}mdk
%define 	ostype Mandrake 10.0 Linux
%define		phppaths /usr/lib/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd2.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	apache2 >= 2.0.48, php430, apache2-mod_php >= 2.0.48_4.3.4, php-pear >= 4.3.0, php-mysql
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  1
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_rht_90}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Linux RedHat 9
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.40, php >= 4.2.2
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   1
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_10}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Linux Fedora Core 1
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.47, php >= 4.3.3
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   1
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_20}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Linux Fedora Core 2
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.49, php >= 4.3.4
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   1
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_30}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Linux Fedora Core 3
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.52, php >= 4.3.10
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   1
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_40}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Fedora Core 4 Linux
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.54, php >= 5.0.4
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   1
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_fdr_4064}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Fedora Core 4 x86_64 Linux
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.54, php >= 5.0.4
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   1
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_cnt_40}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype CentOS 4 Linux
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.52, php >= 4.3.9
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   1
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_cnt_4064}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype CentOS 4 x86_64Linux
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.52, php >= 4.3.9
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   1
%define 	build_trx_20   0
%define		default	       0
%endif

%if %{build_trx_20}
%define		release %{bversion}.%{rpmrelease}tsl
%define 	ostype Linux Trustix 2.0
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser httpd
%define		apachegroup httpd
Prereq: 	/usr/bin/perl
Requires:	apache, apache-devel, php, mod_php4-devel
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   0
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   1
%define		default	       0
%endif

%if %{default}
%define		release %{bversion}.%{rpmrelease}
%define 	ostype Linux RedHat 9
%define		phppaths /usr/share/php:/usr/share/pear:.
%define		apachedir /etc/httpd/conf/
%define		httpdconf httpd.conf
%define		apacheuser apache
%define		apachegroup apache
Prereq: 	/usr/bin/perl
Requires:	httpd >= 2.0.40, php >= 4.2.2
%define		build_sus_100  0
%define		build_sus_10064  0
%define		build_mdk_100  0
%define		build_mdk_101  0
%define		build_mdk_102  0
%define		build_mdk_103  0
%define		build_mdk_10364  0
%define 	build_rht_90   1
%define 	build_fdr_10   0
%define 	build_fdr_20   0
%define 	build_fdr_30   0
%define 	build_fdr_40   0
%define 	build_fdr_4064   0
%define 	build_cnt_40   0
%define 	build_cnt_4064   0
%define 	build_trx_20   0
%endif



#------------------------------------------------------------------------------
Autoreq: 0
%define		debug_package %{nil}
%define         vtoaster %{pversion}
%define		builddate Sun Nov 20 2005

Summary:        SquirrelMail webmail client
Name:           %{name}-toaster
Version:        %{vtoaster}
Release:        %{release}
License:        GPL
URL:            http://www.squirrelmail.org/
Vendor:         squirrelmail.org
Group:          Applications/Internet
Source0:        squirrelmail-%{pversion}.tar.bz2
Source1:	quota_usage.tar.bz2
Source2:	unsafe_image_rules.tar.bz2
Source3:	config_local.php
Source4:	notes.tar.bz2
Source5:	qmailadmin_login-1.0-1.4.3.tar.bz2
Patch0:		squirrelmail-toaster-06082005.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch
Requires:       perl, aspell
Packager:	Nick Hemmesch <nick@ndhsoft.com>

%if %{build_mdk_100}||%{build_mdk_101}||%{build_mdk_102}
%define		sdir	%{_var}/www/html/squirrelmail
%else
%define		sdir	%{_datadir}/squirrelmail
%endif

%define		name	squirrelmail
%define		pdir	%{sdir}/plugins
%define		lcdir	%{_sysconfdir}/squirrelmail/
%define		hcpath	%{apachedir}%{httpdconf}

#------------------------------------------------------------------------------
%description
#------------------------------------------------------------------------------
SquirrelMail is a standards-based webmail package written in PHP4. It
includes built-in pure PHP support for the IMAP and SMTP protocols, and
all pages render in pure HTML 4.0 (with no Javascript) for maximum
compatibility across browsers.  It has very few requirements and is very
easy to configure and install. SquirrelMail has all the functionality
you would want from an email client, including strong MIME support,
address books, and folder manipulation.


#------------------------------------------------------------------------------
%prep
#------------------------------------------------------------------------------

%setup -q -n %{name}-%{pversion}

%patch0 -p0

# install plugins
tar xvfj %{SOURCE1}
mkdir plugins/quota_usage
cp -fR quota_usage/* plugins/quota_usage/

tar xvfj %{SOURCE2}
mkdir plugins/unsafe_image_rules
cp -fR unsafe_image_rules/* plugins/unsafe_image_rules/

tar xvfj %{SOURCE4}
mkdir plugins/notes
cp -fR notes/* plugins/notes/

tar xvfj %{SOURCE5}
mkdir plugins/qmailadmin_login
cp -fR qmailadmin_login/* plugins/qmailadmin_login/

%{__rm} -f plugins/make_archive.pl

# Rearrange the documentation
%{__mv} AUTHORS ChangeLog COPYING INSTALL README UPGRADE doc/
%{__mv} ReleaseNotes doc/ReleaseNotes.txt
%{__mv} themes/README.themes doc/
for f in `find plugins -name "README*" -or -name INSTALL \
    -or -name CHANGES -or -name HISTORY`; do
    %{__mkdir_p} doc/`dirname $f`
    %{__mv} $f $_
done
%{__mv} doc/plugins/squirrelspell/doc/README doc/plugins/squirrelspell
%{__rm} -rf doc/plugins/squirrelspell/doc
%{__mv} plugins/squirrelspell/doc/* doc/plugins/squirrelspell
%{__rm} -f doc/plugins/squirrelspell/index.php
%{__rm} -rf plugins/squirrelspell/doc

# Fixup various files
echo "left_refresh=300" >> data/default_pref
for f in contrib/RPM/squirrelmail.cron contrib/RPM/config.php.redhat; do
    %{__perl} -pi \
        -e "s|__ATTDIR__|%{_localstatedir}/spool/squirrelmail/attach/|g;" \
        -e "s|__PREFSDIR__|%{_localstatedir}/lib/squirrelmail/prefs/|g;" $f
done

# Fix the version
%{__perl} -pi -e "s|^(\s*\\\$version\s*=\s*).*|\1'%{version}-%{release}';|g"\
    functions/strings.php


# Display colored flags
#----------------------------------------------------------------------------
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM=" RPM RELEASE : \033[40m\033[001;033m%{name}-toaster-%{pversion}-%{release} "
OS=" OS TYPE IS  : \033[40m\033[001;033m%{ostype} "
BLD=" BUILD DATE  : \033[40m\033[001;033m%{builddate} "
APACHEUSER=" Apache User : \033[40m\033[001;033m%{apacheuser} "
APACHEGROUP=" Apache Group: \033[40m\033[001;033m%{apachegroup} "

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$BLD\033[0m"
echo -e "\033[40m\033[001;031m\$APACHEUSER\033[0m"
echo -e "\033[40m\033[001;031m\$APACHEGROUP\033[0m"
echo
echo

sleep 5

EOF

# Take care to execute and then to delete
#----------------------------------------------------------------------------
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags


#------------------------------------------------------------------------------
%install
#------------------------------------------------------------------------------
[ -n %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} -m 755 %{buildroot}%{_sysconfdir}/squirrelmail
%{__mkdir_p} -m 755 %{buildroot}%{_localstatedir}/lib/squirrelmail/prefs
%{__mkdir_p} -m 755 %{buildroot}%{_localstatedir}/spool/squirrelmail/attach
%{__mkdir_p} -m 755 %{buildroot}%{sdir}

# install default_pref
%{__install} -m 644 data/default_pref \
    %{buildroot}%{_localstatedir}/lib/squirrelmail/prefs/

# install the config files
%{__mkdir_p} -m 755 %{buildroot}%{sdir}/config
%{__install} -m 644 contrib/RPM/config.php.redhat \
    %{buildroot}%{_sysconfdir}/squirrelmail/config.php
%{__ln_s} %{_sysconfdir}/squirrelmail/config.php \
    %{buildroot}%{sdir}/config/config.php
%{__install} -m 644 config/config_local.php \
    %{buildroot}%{_sysconfdir}/squirrelmail/config_local.php
%{__ln_s} %{_sysconfdir}/squirrelmail/config_local.php \
    %{buildroot}%{sdir}/config/config_local.php
%{__rm} -f config/config_local.php config/config.php
%{__install} -m 644 config/*.php %{buildroot}%{sdir}/config/
%{__install} -m 755 config/*.pl  %{buildroot}%{sdir}/config/

# install index.php
%{__install} -m 644 index.php %{buildroot}%{sdir}

# Copy over the rest
for DIR in class functions help images include locale plugins src themes; do
    %{__cp} -rp $DIR %{buildroot}%{sdir}/
done

mv -f %{buildroot}%{lcdir}/config_local.php %{buildroot}%{lcdir}/config_local.php.dist
install -m644 %{SOURCE3} %{buildroot}%{lcdir}/config_local.php

# install the cron script
%{__mkdir_p} -m 755 %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 755 contrib/RPM/squirrelmail.cron \
    %{buildroot}/%{_sysconfdir}/cron.daily/

%{__mkdir_p} %{buildroot}%{apachedir}

cat <<EOF > squirrelmail.conf
<IfModule mod_alias.c>
Alias /webmail %{sdir}
</IfModule>
<Directory %{sdir}>
#Options None
#Order allow,deny
#allow from all
    <IfModule mod_php4.c>
	php_admin_value session.bug_compat_42 0
# Otherwise can't send mails
	php_admin_value safe_mode 0
# Misc
	php_flag register_globals	off
# Other increased PHP parameters
	php_admin_value memory_limit    64M
	php_admin_value post_max_size   17M
	php_admin_value upload_max_filesize 16M
	php_admin_value max_execution_time 120
    </IfModule>
## To force https connection
#    <IfModule mod_ssl.c>
#	SSLRequireSSL
#	SSLRequire %{SSL_CIPHER_USEKEYSIZE} >= 128
#    </IfModule>
</Directory>
EOF


%{__install} -m 644 squirrelmail.conf \
%{buildroot}%{apachedir}

#----------------------------------------------------------------------------------
%preun
#----------------------------------------------------------------------------------
if [ "$1" = 0 ]; then
   # Remove squirrelmail.conf
   grep -v 'Include %{apachedir}squirrelmail.conf' %{hcpath} > %{hcpath}.new
   mv -f %{hcpath}.new %{hcpath}
fi


#----------------------------------------------------------------------------------
%post
#----------------------------------------------------------------------------------
if [ $1 = "1" ]; then

grep -i 'Include.*squirrelmail.conf$' %{hcpath} >/dev/null 2>&1

if [ $? -eq 0 ]; then
	perl -pi -e 's/^#+// if (/Include.*squirrelmail.conf$/i);' %{hcpath}
else
	echo "Include %{apachedir}squirrelmail.conf" >>%{hcpath}
fi

echo ""
echo " A new include directive was added:"
echo ""
echo "    %{apachedir}squirrelmail.conf"
echo ""
echo " Configuration:"
echo "    If you plan to use it in a VirtualDomain please delete"
echo "    the include directive from %{httpdconf} and  add it  in"
echo "    your VirtualDomain"
echo ""

fi


#------------------------------------------------------------------------------
%clean
#------------------------------------------------------------------------------
[ -n %{buildroot} ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}


#------------------------------------------------------------------------------
%files
#------------------------------------------------------------------------------
%defattr(-,root,root)
%config %dir %{_sysconfdir}/squirrelmail
%config(noreplace) %{_sysconfdir}/squirrelmail/*
%config(noreplace) %{apachedir}*.conf
%doc doc/*

%dir %{sdir}
%{sdir}/index.php
%{sdir}/class
%{sdir}/functions
%{sdir}/help
%{sdir}/images
%{sdir}/include
%{sdir}/locale
%{sdir}/src
%{sdir}/themes
%{sdir}/config

%dir %{sdir}/plugins
%{sdir}/plugins/*

%dir %{_localstatedir}/lib/squirrelmail
%dir %{_localstatedir}/spool/squirrelmail
%attr(0770, root, %{apachegroup}) %dir %{_localstatedir}/lib/squirrelmail/prefs
%attr(0730, root, %{apachegroup}) %dir %{_localstatedir}/spool/squirrelmail/attach
%{_localstatedir}/lib/squirrelmail/prefs/default_pref
%{_sysconfdir}/cron.daily/squirrelmail.cron


#------------------------------------------------------------------------------
%changelog
#------------------------------------------------------------------------------
* Sun Nov 20 2005 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.13
- Add SuSE 10.0 and Mandriva 2006.0 support
* Sat Oct 15 2005 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.12
- Add Fedora Core 4 x86_64 support
* Sat Oct 01 2005 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.11
- Add CentOS 4 x86_64 support
* Thu Jul 14 2005 Erik A. Espinoza <espinoza@forcenetworks.com> 1.4.5-1.2.10
- Update to squirrelmail 1.4.5
* Thu Jul 14 2005 Erik A. Espinoza <espinoza@forcenetworks.com> 1.4.4-1.2.9
- Added QmailAdmin_Login plugin
* Mon Jul 04 2005 Erik A. Espinoza <espinoza@forcenetworks.com> 1.4.4-1.2.8
- Added XSS Patch for CVE CAN-2005-1769
* Fri Jul 01 2005 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.7
- Add Fedora Core 4 support
* Wed Jun 08 2005 Nick Hemmesch <nick@ndhsoft.com> 1.4.4-1.2.6
- Update to squirrelmail-1.4.4
* Fri Jun 03 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.4.2-1.2.5
- Gnu/Linux Mandrake 10.0,10.1,10.2 support
- Move install dir for mdk
- Fix some problems wiith access rights and such
* Tue May 31 2005 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.4
- Update quota-usage and add unsafe_image_rules
* Sun Feb 27 2005 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.3
- Add Fedora Core 3 support
- Add CentOS 4 support
* Thu Jun 03 2004 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.2
- Add Fedora Core 2 support
- Add notes plugin
* Fri May 14 2004 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.2.1
- Add sasql and quota_usage plugins
- Add squirrelmail.conf to httpd.conf
* Sun Oct 12 2003 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.0.2
- Removed symlink for apache-1.3.x users
* Tue Oct 7 2003 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-1.0.1
- Hack to squirrelmail-toaster-1.4.2-1.0.1
* Mon Oct 6 2003 Nick Hemmesch <nick@ndhsoft.com> 1.4.2-2
- This version is configured to only work with Qmail Toaster from
  http://www.qmailtoaster.com using SpamAssassin user based prefs

* Wed Oct 01 2003 Konstantin Riabitsev <icon@duke.edu> 1.4.2-1
- The release was uncoordinated with the admin team, so this revision is
  not in the CVS, and the RPM cannot be built from the distribution
  tarball. Parties responsible will be chastised.
- Version 1.4.2.

* Thu Jul 03 2003 Konstantin Riabitsev <icon@duke.edu> 1.4.1-1
- Build for 1.4.1
- Prefixing the release with "0" so the RPM upgrades cleanly when going to
  rht > 7.x.

* Tue Mar 26 2003 Konstantin Riabitsev <icon@duke.edu> 1.4.0-1
- Build for 1.4.0

* Thu Feb 13 2003 Konstantin Riabitsev <icon@duke.edu> 1.4.0-0.2pre
- Initial release for 1.4.0 prerelease

* Tue Feb 04 2003 Konstantin Riabitsev <icon@duke.edu> 1.2.11-1
- Upping version number.

* Tue Oct 29 2002 Konstantin Riabitsev <icon@duke.edu> 1.2.9-1
- Upping version number.

* Sat Sep 14 2002 Konstantin Riabitsev <icon@duke.edu> 1.2.8-1
- adopted RH's spec file so we don't duplicate effort. 
- Removed rh'ized splash screen.
- Adding fallbacks for building rhl7 version as well with the same 
  specfile. Makes the spec file not as clean, but hey.
- remove workarounds for #68669 (rh bugzilla), since 1.2.8 works with
  register_globals = Off.
- Hardwiring localhost into the default config file. Makes sense.
- No more such file MIRRORS.
- Adding aspell as one of the req's, since squirrelspell is enabled by
  default
- Added Vendor: line to distinguish ourselves from RH.
- Doing the uglies with the release numbers.

* Tue Aug  6 2002 Preston Brown <pbrown@redhat.com> 1.2.7-4
- replacement splash screen.

* Mon Jul 22 2002 Gary Benson <gbenson@redhat.com> 1.2.7-3
- get rid of long lines in the specfile.
- remove symlink in docroot and use an alias in conf.d instead.
- work with register_globals off (#68669)

* Tue Jul 09 2002 Gary Benson <gbenson@redhat.com> 1.2.7-2
- hardwire the hostname (well, localhost) into the config file (#67635)

* Mon Jun 24 2002 Gary Benson <gbenson@redhat.com> 1.2.7-1
- hardwire the locations into the config file and cron file.
- install squirrelmail-cleanup.cron as squirrelmail.cron.
- make symlinks relative.
- upgrade to 1.2.7.
- more dependency fixes.

* Fri Jun 21 2002 Gary Benson <gbenson@redhat.com>
- summarize the summary, fix deps, and remove some redundant stuff.
- tidy up the prep section.
- replace directory definitions with standard RHL ones.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.2.6-3
- automated rebuild

* Wed Jun 19 2002 Preston Brown <pbrown@redhat.com> 1.2.6-2
- adopted Konstantin Riabitsev <icon@duke.edu>'s package for Red Hat
  Linux.  Nice job Konstantin!
